Jump to content

I can't calculate the area of ​​this hatch, the square meters don't come out in the properties


Recommended Posts

---------- Hatch --------------------------------------------------
                  Handle:  2CF
           Current space:  Model
                   Layer:  0
                   Color:  BYLAYER
                Linetype:  ByLayer
            Pattern name:  SOLID
           Pattern angle:  0
           Pattern scale:  1
         non-Associative   
                    Area:  249980.8149

I used list but the area will only be the white solid not The rectangs is that what you want.

 

or

(setq area (vla-get-area  (vlax-ename->vla-object (car  (entsel "Pick obj")))))

 

Link to comment
Share on other sites

How did you get that list of data out? What command did you use? Thanks

Link to comment
Share on other sites

Its a text display, just use the lisp code I posted at post2, getting textscr is longwinded compared to 1 line of code.

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

×
×
  • Create New...